# hcontortus_genome

This repository contains data and the analysis workflow for the manuscript "Extensive genomic and transcriptomic variation defines
the chromosome-scale assembly of *Haemonchus contortus*, a model gastrointestinal worm" (in review).

Preprint available here: https://doi.org/10.1101/2020.02.18.945246

Final paper available here: (when it is published...)

Code for the analysis is here:
- [Section 1: Chromosome structure of *Haemonchus contortus*](03_code/hcontortus_genome.section1_workbook.md)
- [Section 2: Resolving haplotypic diversity and repeat distribution within the chromosomes](03_code/hcontortus_genome.section2_workbook.md)
- [Section 3: Generation of a high-quality transcriptome annotation incorporating short and long reads](03_code/hcontortus_genome.section3_workbook.md)
- [Section 4: Transcriptional dynamics throughout development and between sexes](03_code/hcontortus_genome.section4_workbook.md)
- [Section 5: Transcriptome complexity is generated by extensive *cis-* and *trans-* splicing](03_code/hcontortus_genome.section5_workbook.md)
- [Section 6: Distribution of global genetic diversity throughout the chromosomes](03_code/hcontortus_genome.section6_workbook.md)

Any reuse of data or code is encouraged with due acknowledgement, either via citation of the published manuscript (when available) and/or GitHub repository. Comments, suggestions, and discussion are welcome.

## Abstract
*Haemonchus contortus* is a globally distributed and economically important gastrointestinal pathogen of small ruminants and has become a key nematode model for studying anthelmintic resistance and other parasite-specific traits among a wider group of parasites including major human pathogens. Here, we report using PacBio long-read and OpGen and 10X Genomics long-molecule methods to generate a highly contiguous 283.4 Mbp chromosome-scale genome assembly including a resolved sex chromosome for the MHco3(ISE).N1 isolate. We show a remarkable pattern of conservation of chromosome content with *Caenorhabditis elegans*, but almost no conservation of gene order. Short and long-read transcriptome sequencing allowed us to define coordinated transcriptional regulation throughout the parasite’s life cycle and refine our understanding of cis- and trans-splicing. Finally, we provide a comprehensive picture of chromosome-wide genetic diversity both within a single isolate and globally. These data provide a high-quality comparison for understanding the evolution and genomics of Caenorhabditis and other nematodes and extend the experimental tractability of this model parasitic nematode in understanding helminth biology, drug discovery and vaccine development, as well as important adaptive traits such as drug resistance.




******
## License
<a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><img alt="Creative Commons Licence" style="border-width:0" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.
